#include "kernel/types.h"
#include "kernel/stat.h"
#include "user/user.h"

int
main(void) {
    printf("The process will sleep for 2.5 ticks and then wakeup\n");
    struct timespec req = {2, 500000000};
    struct timespec rem;
    nanosleep(&req, &rem);
    printf("Now it wakes up\n");
    printf("The process will sleep for 0.5 ticks and then wakeup\n");
    req.tv_sec = 0;
    nanosleep(&req, &rem);
    printf("Now it wakes up\n");
    exit(0);
}
