#include "kernel/param.h"
#include "kernel/types.h"
#include "kernel/stat.h"
#include "kernel/riscv.h"
#include "user/user.h"
#include "user/userthread.h"

// Example thread function
void thread_func(void *arg) {
    printf("Thread %d started.\n", uthread_id());
    int j = 0;
    
    while(j < 10){
        int i;
        for(i = 0; i < 10000000; i++){
            if(i == 0) printf("tid:%d print\n", uthread_id());
        }
        j++;
    }
}

int
main(void) {
    uthread_init();
    // Create example arguments for threads
    int arg1 = 1;
    for(int i = 0; i < 10; i++){
        uthread_create(thread_func, &arg1);
    }
    // Run the thread scheduler
    uthread_run();
    
    exit(0);
}